<?xml version="1.0" encoding="UTF-8" ?>
<root>
    <card name="mt6833mt6359" />
    <mixercontrol>
        <versioncontrol value="1.01">
        </versioncontrol>
        <!-- These are the initial mixer settings -->
        <kctl name="Audio_Speaker_class_Switch" value="CLASSAB" />
        <!--headphone output-->
        <path name="headphone_output" value="turnon">
            <kctl name="DAC In Mux" value="Normal Path" />
            <kctl name="HPL Mux" value="Audio Playback" />
            <kctl name="HPR Mux" value="Audio Playback" />
        </path>
        <path name="headphone_output" value="turnoff">
            <kctl name="HPL Mux" value="Open" />
            <kctl name="HPR Mux" value="Open" />
        </path>
        <path name="HP_IMPEDANCE" value="turnon">
        </path>
        <path name="HP_IMPEDANCE" value="turnoff">
        </path>
        <!--receiver output-->
        <path name="receiver_output" value="turnon">
            <kctl name="DAC In Mux" value="Normal Path" />
            <kctl name="RCV Mux" value="Voice Playback" />
            <kctl name="Ext_Speaker_PaBit" value="2" />
            <kctl name="Ext_Speaker_PaMode" value="11" />
        </path>
        <path name="receiver_output" value="turnoff">
            <kctl name="Ext_Speaker_PaBit" value="2"/>
            <kctl name="Ext_Speaker_PaMode" value="0" />
            <kctl name="RCV Mux" value="Open" />
        </path>
       <!-- 2-in-1 speaker output-->
        <path name="two_in_one_speaker_output" value="turnon">
        </path>
        <path name="two_in_one_speaker_output" value="turnoff">
        </path>
         <!--dual analogPA speaker output-->
        <path name="dual_speaker_output" value="turnon">
            <kctl name="DAC In Mux" value="Normal Path" />
            <kctl name="LOL Mux" value="Playback_L_DAC" />
            <kctl name="RCV Mux" value="Voice Playback" />
        </path>
        <path name="dual_speaker_output" value="turnoff">
            <kctl name="LOL Mux" value="Open" />
            <kctl name="RCV Mux" value="Open" />
        </path>
       <!--speaker output-->
        <path name="speaker_output" value="turnon">
            <kctl name="DAC In Mux" value="Normal Path" />
            <kctl name="LOL Mux" value="Playback_L_DAC" />
        </path>
        <path name="speaker_output" value="turnoff">
            <kctl name="LOL Mux" value="Open" />
        </path>
        <!--headhpone dual analogPA speaker output-->
        <path name="headphoneDualSpeaker_output" value="turnon">
            <kctl name="DAC In Mux" value="Normal Path" />
            <kctl name="HPL Mux" value="Loud DualSPK Playback" />
            <kctl name="HPR Mux" value="Loud DualSPK Playback" />
        </path>
        <path name="headphoneDualSpeaker_output" value="turnoff">
            <kctl name="HPL Mux" value="Open" />
            <kctl name="HPR Mux" value="Open" />
        </path>
        <!--headhpone_speaker output-->
        <path name="headphoneSpeaker_output" value="turnon">
            <kctl name="DAC In Mux" value="Normal Path" />
            <kctl name="HPL Mux" value="LoudSPK Playback" />
            <kctl name="HPR Mux" value="Audio Playback" />
        </path>
        <path name="headphoneSpeaker_output" value="turnoff">
            <kctl name="HPL Mux" value="Open" />
            <kctl name="HPR Mux" value="Open" />
        </path>
        <!--external_speaker output-->
        <path name="ext_speaker_output" value="turnon">
            <kctl name="Ext_Speaker_Amp Switch" value="1" />
            <kctl name="Ext_Speaker_PaBit" value="3"/>
        </path>
        <path name="ext_speaker_output" value="turnoff">
            <kctl name="Ext_Speaker_PaBit" value="3"/>
            <kctl name="Ext_Speaker_PaMode" value="0" />
            <kctl name="Ext_Speaker_Amp Switch" value="0" />
        </path>
        <!--PA update mode control-->
        <path name="speaker_mode_music" value="setting">
            <kctl name="Ext_Speaker_PaMode" value="1" />
        </path>
        <path name="speaker_mode_ringtone" value="setting">
            <kctl name="Ext_Speaker_PaMode" value="1" />
        </path>
        <path name="speaker_mode_voice" value="setting">
            <kctl name="Ext_Speaker_PaMode" value="1" />
        </path>
        <path name="speaker_mode_voip" value="setting">
            <kctl name="Ext_Speaker_PaMode" value="1" />
        </path>
        <!--mic setting-->
        <path name="builtin_Mic_Mic1" value="turnon">
            <kctl name="MISO0_MUX" value="UL1_CH1" />
            <kctl name="MISO1_MUX" value="UL1_CH1" />
            <kctl name="ADC_L_Mux" value="Left Preamplifier" />
            <kctl name="PGA_L_Mux" value="AIN0" />
            <kctl name="DMIC0_MUX" value="DMIC_DATA0" />
            <kctl name="DMIC1_MUX" value="DMIC_DATA0" />
        </path>
        <path name="builtin_Mic_Mic1" value="turnoff">
            <kctl name="MISO1_MUX" value="UL1_CH2" />
            <kctl name="ADC_L_Mux" value="Idle" />
            <kctl name="PGA_L_Mux" value="None" />
            <kctl name="UL_SRC_MUX" value="AMIC" />
            <kctl name="UL2_SRC_MUX" value="AMIC" />
        </path>
        <path name="builtin_Mic_DMic1" value="turnon">
            <kctl name="MISO0_MUX" value="UL1_CH1" />
            <kctl name="MISO1_MUX" value="UL1_CH1" />
            <kctl name="DMIC0_MUX" value="DMIC_DATA0" />
            <kctl name="DMIC1_MUX" value="DMIC_DATA1_L_1" />
            <kctl name="DMIC2_MUX" value="DMIC_DATA1_R" />
        </path>
        <path name="builtin_Mic_DMic1" value="turnoff">
            <kctl name="MISO1_MUX" value="UL1_CH2" />
            <kctl name="UL_SRC_MUX" value="AMIC" />
            <kctl name="UL2_SRC_MUX" value="AMIC" />
        </path>
        <path name="builtin_Mic_Mic1_Inverse" value="turnon">
            <kctl name="MISO0_MUX" value="UL1_CH2" />
            <kctl name="MISO1_MUX" value="UL1_CH2" />
            <kctl name="ADC_R_Mux" value="Right Preamplifier" />
            <kctl name="PGA_R_Mux" value="AIN3" />
            <kctl name="DMIC0_MUX" value="DMIC_DATA1_R" />
            <kctl name="DMIC1_MUX" value="DMIC_DATA1_R" />
        </path>
        <path name="builtin_Mic_Mic1_Inverse" value="turnoff">
            <kctl name="MISO0_MUX" value="UL1_CH1" />
            <kctl name="ADC_R_Mux" value="Idle" />
            <kctl name="PGA_R_Mux" value="None" />
            <kctl name="UL_SRC_MUX" value="AMIC" />
            <kctl name="UL2_SRC_MUX" value="AMIC" />
        </path>
        <path name="builtin_Mic_Mic2" value="turnon">
            <kctl name="MISO0_MUX" value="UL1_CH2" />
            <kctl name="MISO1_MUX" value="UL1_CH2" />
            <kctl name="ADC_R_Mux" value="Right Preamplifier" />
            <kctl name="PGA_R_Mux" value="AIN3" />
            <kctl name="DMIC0_MUX" value="DMIC_DATA1_R" />
            <kctl name="DMIC1_MUX" value="DMIC_DATA1_R" />
        </path>
        <path name="builtin_Mic_Mic2" value="turnoff">
            <kctl name="MISO0_MUX" value="UL1_CH1" />
            <kctl name="ADC_R_Mux" value="Idle" />
            <kctl name="PGA_R_Mux" value="None" />
            <kctl name="UL_SRC_MUX" value="AMIC" />
            <kctl name="UL2_SRC_MUX" value="AMIC" />
        </path>
        <path name="builtin_Mic_DMic2" value="turnon">
            <kctl name="MISO0_MUX" value="UL2_CH2" />
            <kctl name="MISO1_MUX" value="UL2_CH2" />
            <kctl name="DMIC0_MUX" value="DMIC_DATA0" />
            <kctl name="DMIC1_MUX" value="DMIC_DATA1_L_1" />
            <kctl name="DMIC2_MUX" value="DMIC_DATA1_R" />
        </path>
        <path name="builtin_Mic_DMic2" value="turnoff">
            <kctl name="MISO0_MUX" value="UL1_CH1" />
            <kctl name="MISO1_MUX" value="UL1_CH2" />
            <kctl name="UL_SRC_MUX" value="AMIC" />
            <kctl name="UL2_SRC_MUX" value="AMIC" />
        </path>
        <path name="builtin_Mic_Mic2_Inverse" value="turnon">
            <kctl name="MISO0_MUX" value="UL1_CH1" />
            <kctl name="MISO1_MUX" value="UL1_CH1" />
            <kctl name="ADC_L_Mux" value="Left Preamplifier" />
            <kctl name="PGA_L_Mux" value="AIN0" />
            <kctl name="DMIC0_MUX" value="DMIC_DATA0" />
            <kctl name="DMIC1_MUX" value="DMIC_DATA0" />
        </path>
        <path name="builtin_Mic_Mic2_Inverse" value="turnoff">
            <kctl name="MISO1_MUX" value="UL1_CH2" />
            <kctl name="ADC_L_Mux" value="Idle" />
            <kctl name="PGA_L_Mux" value="None" />
            <kctl name="UL_SRC_MUX" value="AMIC" />
            <kctl name="UL2_SRC_MUX" value="AMIC" />
        </path>
        <path name="builtin_Mic_SingleMic" value="turnon">
            <kctl name="MISO0_MUX" value="UL1_CH1" />
            <kctl name="MISO1_MUX" value="UL1_CH1" />
            <kctl name="ADC_L_Mux" value="Left Preamplifier" />
            <kctl name="PGA_L_Mux" value="AIN0" />
            <kctl name="DMIC0_MUX" value="DMIC_DATA0" />
            <kctl name="DMIC1_MUX" value="DMIC_DATA0" />
        </path>
        <path name="builtin_Mic_SingleMic" value="turnoff">
            <kctl name="MISO1_MUX" value="UL1_CH2" />
            <kctl name="ADC_L_Mux" value="Idle" />
            <kctl name="PGA_L_Mux" value="None" />
            <kctl name="UL_SRC_MUX" value="AMIC" />
            <kctl name="UL2_SRC_MUX" value="AMIC" />
        </path>
        <path name="builtin_Mic_DualMic" value="turnon">
            <kctl name="MISO0_MUX" value="UL1_CH1" />
            <kctl name="MISO1_MUX" value="UL1_CH2" />
            <!-- if use dual dmic, set miso1_mux as UL2_CH2 -->
            <!-- <kctl name="MISO1_MUX" value="UL2_CH2" /> -->
            <kctl name="ADC_L_Mux" value="Left Preamplifier" />
            <kctl name="PGA_L_Mux" value="AIN0" />
            <kctl name="ADC_R_Mux" value="Right Preamplifier" />
            <kctl name="PGA_R_Mux" value="AIN3" />
            <kctl name="DMIC0_MUX" value="DMIC_DATA0" />
            <kctl name="DMIC1_MUX" value="DMIC_DATA1_R" />
        </path>
        <path name="builtin_Mic_DualMic" value="turnoff">
            <kctl name="MISO0_MUX" value="UL1_CH1" />
            <kctl name="MISO1_MUX" value="UL1_CH2" />
            <kctl name="ADC_L_Mux" value="Idle" />
            <kctl name="ADC_R_Mux" value="Idle" />
            <kctl name="PGA_L_Mux" value="None" />
            <kctl name="PGA_R_Mux" value="None" />
            <kctl name="UL_SRC_MUX" value="AMIC" />
            <kctl name="UL2_SRC_MUX" value="AMIC" />
        </path>
        <path name="builtin_Mic_DualMic_Inverse" value="turnon">
            <kctl name="MISO0_MUX" value="UL1_CH2" />
            <!-- if use dual dmic, set miso0_mux as UL2_CH2 -->
            <!-- <kctl name="MISO0_MUX" value="UL2_CH2" /> -->
            <kctl name="MISO1_MUX" value="UL1_CH1" />
            <kctl name="ADC_L_Mux" value="Left Preamplifier" />
            <kctl name="PGA_L_Mux" value="AIN0" />
            <kctl name="ADC_R_Mux" value="Right Preamplifier" />
            <kctl name="PGA_R_Mux" value="AIN3" />
            <kctl name="DMIC0_MUX" value="DMIC_DATA1_R" />
            <kctl name="DMIC1_MUX" value="DMIC_DATA0" />
        </path>
        <path name="builtin_Mic_DualMic_Inverse" value="turnoff">
            <kctl name="MISO0_MUX" value="UL1_CH1" />
            <kctl name="MISO1_MUX" value="UL1_CH2" />
            <kctl name="ADC_L_Mux" value="Idle" />
            <kctl name="ADC_R_Mux" value="Idle" />
            <kctl name="PGA_L_Mux" value="None" />
            <kctl name="PGA_R_Mux" value="None" />
            <kctl name="UL_SRC_MUX" value="AMIC" />
            <kctl name="UL2_SRC_MUX" value="AMIC" />
        </path>
        <path name="builtin_Mic_BackMic" value="turnon">
            <kctl name="MISO0_MUX" value="UL1_CH2" />
            <!-- if use dual dmic, set miso0_mux as UL2_CH2 -->
            <!-- <kctl name="MISO0_MUX" value="UL2_CH2" /> -->
            <kctl name="MISO1_MUX" value="UL1_CH1" />
            <kctl name="ADC_L_Mux" value="Left Preamplifier" />
            <kctl name="PGA_L_Mux" value="AIN0" />
            <kctl name="ADC_R_Mux" value="Right Preamplifier" />
            <kctl name="PGA_R_Mux" value="AIN3" />
            <kctl name="DMIC0_MUX" value="DMIC_DATA0" />
            <kctl name="DMIC1_MUX" value="DMIC_DATA1_R" />
        </path>
        <path name="builtin_Mic_BackMic" value="turnoff">
            <kctl name="MISO0_MUX" value="UL1_CH1" />
            <kctl name="MISO1_MUX" value="UL1_CH2" />
            <kctl name="ADC_L_Mux" value="Idle" />
            <kctl name="ADC_R_Mux" value="Idle" />
            <kctl name="PGA_L_Mux" value="None" />
            <kctl name="PGA_R_Mux" value="None" />
            <kctl name="UL_SRC_MUX" value="AMIC" />
            <kctl name="UL2_SRC_MUX" value="AMIC" />
        </path>
        <path name="builtin_Mic_BackMic_Inverse" value="turnon">
            <kctl name="MISO0_MUX" value="UL1_CH1" />
            <kctl name="MISO1_MUX" value="UL1_CH2" />
            <!-- if use dual dmic, set miso1_mux as UL2_CH2 -->
            <!-- <kctl name="MISO1_MUX" value="UL2_CH2" /> -->
            <kctl name="ADC_L_Mux" value="Left Preamplifier" />
            <kctl name="PGA_L_Mux" value="AIN0" />
            <kctl name="ADC_R_Mux" value="Right Preamplifier" />
            <kctl name="PGA_R_Mux" value="AIN3" />
            <kctl name="DMIC0_MUX" value="DMIC_DATA0" />
            <kctl name="DMIC1_MUX" value="DMIC_DATA1_R" />
        </path>
        <path name="builtin_Mic_BackMic_Inverse" value="turnoff">
            <kctl name="MISO0_MUX" value="UL1_CH1" />
            <kctl name="MISO1_MUX" value="UL1_CH2" />
            <kctl name="ADC_L_Mux" value="Idle" />
            <kctl name="ADC_R_Mux" value="Idle" />
            <kctl name="PGA_L_Mux" value="None" />
            <kctl name="PGA_R_Mux" value="None" />
            <kctl name="UL_SRC_MUX" value="AMIC" />
            <kctl name="UL2_SRC_MUX" value="AMIC" />
        </path>
        <path name="headset_mic_input" value="turnon">
            <kctl name="MISO0_MUX" value="UL1_CH1" />
            <kctl name="MISO1_MUX" value="UL1_CH1" />
            <kctl name="ADC_L_Mux" value="Left Preamplifier" />
            <kctl name="PGA_L_Mux" value="AIN1" />
        </path>
        <path name="headset_mic_input" value="turnoff">
            <kctl name="MISO1_MUX" value="UL1_CH2" />
            <kctl name="ADC_L_Mux" value="Idle" />
            <kctl name="PGA_L_Mux" value="None" />
        </path>
        <path name="builtin_Mic_Vow_Mic" value="turnon">
            <kctl name="VOW_AMIC0_MUX" value="ADC_L" />
            <kctl name="ADC_L_Mux" value="Left Preamplifier" />
            <kctl name="PGA_L_Mux" value="AIN0" />
            <kctl name="DMIC0_MUX" value="DMIC_DATA0" />
            <kctl name="DMIC1_MUX" value="DMIC_DATA1_L_1" />
        </path>
        <path name="builtin_Mic_Vow_Mic" value="turnoff">
            <kctl name="ADC_L_Mux" value="Idle" />
            <kctl name="PGA_L_Mux" value="None" />
            <kctl name="VOW_UL_SRC_MUX" value="AMIC" />
        </path>
        <path name="builtin_Mic_Vow_Mic2" value="turnon">
            <kctl name="VOW_AMIC0_MUX" value="ADC_R" />
            <kctl name="ADC_R_Mux" value="Right Preamplifier" />
            <kctl name="PGA_R_Mux" value="AIN3" />
            <kctl name="DMIC0_MUX" value="DMIC_DATA0" />
            <kctl name="DMIC1_MUX" value="DMIC_DATA1_L_1" />
        </path>
        <path name="builtin_Mic_Vow_Mic2" value="turnoff">
            <kctl name="ADC_L_Mux" value="Idle" />
            <kctl name="PGA_L_Mux" value="None" />
            <kctl name="ADC_R_Mux" value="Idle" />
            <kctl name="PGA_R_Mux" value="None" />
            <kctl name="VOW_UL_SRC_MUX" value="AMIC" />
        </path>
        <path name="builtin_Mic_Vow_DualMic" value="turnon">
            <kctl name="VOW_AMIC0_MUX" value="ADC_L" />
            <kctl name="VOW_AMIC1_MUX" value="ADC_R" />
            <kctl name="ADC_L_Mux" value="Left Preamplifier" />
            <kctl name="PGA_L_Mux" value="AIN0" />
            <kctl name="ADC_R_Mux" value="Right Preamplifier" />
            <kctl name="PGA_R_Mux" value="AIN3" />
            <kctl name="DMIC0_MUX" value="DMIC_DATA0" />
            <kctl name="DMIC1_MUX" value="DMIC_DATA1_L_1" />
        </path>
        <path name="builtin_Mic_Vow_DualMic" value="turnoff">
            <kctl name="ADC_L_Mux" value="Idle" />
            <kctl name="ADC_R_Mux" value="Idle" />
            <kctl name="PGA_L_Mux" value="None" />
            <kctl name="PGA_R_Mux" value="None" />
            <kctl name="VOW_UL_SRC_MUX" value="AMIC" />
        </path>
        <path name="headset_vow_input" value="turnon">
            <kctl name="VOW_AMIC0_MUX" value="ADC_L" />
            <kctl name="ADC_L_Mux" value="Left Preamplifier" />
            <kctl name="PGA_L_Mux" value="AIN1" />
        </path>
        <path name="headset_vow_input" value="turnoff">
            <kctl name="ADC_L_Mux" value="Idle" />
            <kctl name="PGA_L_Mux" value="None" />
        </path>
        <!--mic1 type setting-->
        <path name="MicTypeVOWDMICMode" value="setting">
            <kctl name="VOW_UL_SRC_MUX" value="DMIC" />
        </path>
        <path name="MicTypeDMICMode" value="setting">
            <kctl name="UL_SRC_MUX" value="DMIC" />
            <kctl name="UL2_SRC_MUX" value="DMIC" />
            <kctl name="MTKAIF_DMIC" value="On" />
        </path>
        <path name="sidetone_switch" value="turnon">
            <kctl name="Sidetone Filter Switch" value="1" />
        </path>
        <path name="sidetone_switch" value="turnoff">
            <kctl name="Sidetone Filter Switch" value="0" />
        </path>
        <!-- i2s hd control -->
        <path name="I2S0_HD_ON" value="setting">
            <kctl name="I2S0_HD_Mux" value="Low_Jitter" />
        </path>
        <path name="I2S0_HD_OFF" value="setting">
            <kctl name="I2S0_HD_Mux" value="Normal" />
        </path>
        <path name="I2S1_HD_ON" value="setting">
            <kctl name="I2S1_HD_Mux" value="Low_Jitter" />
        </path>
        <path name="I2S1_HD_OFF" value="setting">
            <kctl name="I2S1_HD_Mux" value="Normal" />
        </path>
        <path name="I2S2_HD_ON" value="setting">
            <kctl name="I2S2_HD_Mux" value="Low_Jitter" />
        </path>
        <path name="I2S2_HD_OFF" value="setting">
            <kctl name="I2S2_HD_Mux" value="Normal" />
        </path>
        <path name="I2S3_HD_ON" value="setting">
            <kctl name="I2S3_HD_Mux" value="Low_Jitter" />
        </path>
        <path name="I2S3_HD_OFF" value="setting">
            <kctl name="I2S3_HD_Mux" value="Normal" />
        </path>
        <path name="I2S5_HD_ON" value="setting">
            <kctl name="I2S5_HD_Mux" value="Low_Jitter" />
        </path>
        <path name="I2S5_HD_OFF" value="setting">
            <kctl name="I2S5_HD_Mux" value="Normal" />
        </path>
       <!--AP side control-->
        <path name="PLAYBACK1_TO_ADDA_DL" value="turnon">
            <kctl name="ADDA_DL_CH1 DL1_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 DL1_CH2" value="1" />
        </path>
        <path name="PLAYBACK1_TO_ADDA_DL" value="turnoff">
            <kctl name="ADDA_DL_CH1 DL1_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 DL1_CH2" value="0" />
        </path>
        <path name="PLAYBACK1_TO_I2S1" value="turnon">
            <kctl name="I2S1_CH1 DL1_CH1" value="1" />
            <kctl name="I2S1_CH2 DL1_CH2" value="1" />
        </path>
        <path name="PLAYBACK1_TO_I2S1" value="turnoff">
            <kctl name="I2S1_CH1 DL1_CH1" value="0" />
            <kctl name="I2S1_CH2 DL1_CH2" value="0" />
        </path>
        <path name="PLAYBACK1_TO_I2S3" value="turnon">
            <kctl name="I2S3_CH1 DL1_CH1" value="1" />
            <kctl name="I2S3_CH2 DL1_CH2" value="1" />
        </path>
        <path name="PLAYBACK1_TO_I2S3" value="turnoff">
            <kctl name="I2S3_CH1 DL1_CH1" value="0" />
            <kctl name="I2S3_CH2 DL1_CH2" value="0" />
        </path>
        <path name="PLAYBACK1_TO_I2S5" value="turnon">
            <kctl name="I2S5_CH1 DL1_CH1" value="1" />
            <kctl name="I2S5_CH2 DL1_CH2" value="1" />
        </path>
        <path name="PLAYBACK1_TO_I2S5" value="turnoff">
            <kctl name="I2S5_CH1 DL1_CH1" value="0" />
            <kctl name="I2S5_CH2 DL1_CH2" value="0" />
        </path>
        <path name="PLAYBACK2_TO_ADDA_DL" value="turnon">
            <kctl name="ADDA_DL_CH1 DL2_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 DL2_CH2" value="1" />
        </path>
        <path name="PLAYBACK2_TO_ADDA_DL" value="turnoff">
            <kctl name="ADDA_DL_CH1 DL2_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 DL2_CH2" value="0" />
        </path>
        <path name="PLAYBACK2_TO_I2S1" value="turnon">
            <kctl name="I2S1_CH1 DL2_CH1" value="1" />
            <kctl name="I2S1_CH2 DL2_CH2" value="1" />
        </path>
        <path name="PLAYBACK2_TO_I2S1" value="turnoff">
            <kctl name="I2S1_CH1 DL2_CH1" value="0" />
            <kctl name="I2S1_CH2 DL2_CH2" value="0" />
        </path>
        <path name="PLAYBACK2_TO_I2S3" value="turnon">
            <kctl name="I2S3_CH1 DL2_CH1" value="1" />
            <kctl name="I2S3_CH2 DL2_CH2" value="1" />
        </path>
        <path name="PLAYBACK2_TO_I2S3" value="turnoff">
            <kctl name="I2S3_CH1 DL2_CH1" value="0" />
            <kctl name="I2S3_CH2 DL2_CH2" value="0" />
        </path>
        <path name="PLAYBACK2_TO_I2S5" value="turnon">
            <kctl name="I2S5_CH1 DL2_CH1" value="1" />
            <kctl name="I2S5_CH2 DL2_CH2" value="1" />
        </path>
        <path name="PLAYBACK2_TO_I2S5" value="turnoff">
            <kctl name="I2S5_CH1 DL2_CH1" value="0" />
            <kctl name="I2S5_CH2 DL2_CH2" value="0" />
        </path>
        <path name="PLAYBACK12_TO_ADDA_DL" value="turnon">
            <kctl name="ADDA_DL_CH1 DL12_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 DL12_CH2" value="1" />
        </path>
        <path name="PLAYBACK12_TO_ADDA_DL" value="turnoff">
            <kctl name="ADDA_DL_CH1 DL12_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 DL12_CH2" value="0" />
        </path>
        <path name="PLAYBACK12_TO_I2S1" value="turnon">
            <kctl name="I2S1_CH1 DL12_CH1" value="1" />
            <kctl name="I2S1_CH2 DL12_CH2" value="1" />
        </path>
        <path name="PLAYBACK12_TO_I2S1" value="turnoff">
            <kctl name="I2S1_CH1 DL12_CH1" value="0" />
            <kctl name="I2S1_CH2 DL12_CH2" value="0" />
        </path>
        <path name="PLAYBACK12_TO_I2S3" value="turnon">
            <kctl name="I2S3_CH1 DL12_CH1" value="1" />
            <kctl name="I2S3_CH2 DL12_CH2" value="1" />
        </path>
        <path name="PLAYBACK12_TO_I2S3" value="turnoff">
            <kctl name="I2S3_CH1 DL12_CH1" value="0" />
            <kctl name="I2S3_CH2 DL12_CH2" value="0" />
        </path>
        <path name="PLAYBACK12_TO_I2S5" value="turnon">
            <kctl name="I2S5_CH1 DL12_CH1" value="1" />
            <kctl name="I2S5_CH2 DL12_CH2" value="1" />
        </path>
        <path name="PLAYBACK12_TO_I2S5" value="turnoff">
            <kctl name="I2S5_CH1 DL12_CH1" value="0" />
            <kctl name="I2S5_CH2 DL12_CH2" value="0" />
        </path>
        <path name="PLAYBACK6_TO_ADDA_DL" value="turnon">
            <kctl name="ADDA_DL_CH1 DL6_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 DL6_CH2" value="1" />
        </path>
        <path name="PLAYBACK6_TO_ADDA_DL" value="turnoff">
            <kctl name="ADDA_DL_CH1 DL6_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 DL6_CH2" value="0" />
        </path>
        <path name="PLAYBACK6_TO_I2S1" value="turnon">
            <kctl name="I2S1_CH1 DL6_CH1" value="1" />
            <kctl name="I2S1_CH2 DL6_CH2" value="1" />
        </path>
        <path name="PLAYBACK6_TO_I2S1" value="turnoff">
            <kctl name="I2S1_CH1 DL6_CH1" value="0" />
            <kctl name="I2S1_CH2 DL6_CH2" value="0" />
        </path>
        <path name="PLAYBACK6_TO_I2S3" value="turnon">
            <kctl name="I2S3_CH1 DL6_CH1" value="1" />
            <kctl name="I2S3_CH2 DL6_CH2" value="1" />
        </path>
        <path name="PLAYBACK6_TO_I2S3" value="turnoff">
            <kctl name="I2S3_CH1 DL6_CH1" value="0" />
            <kctl name="I2S3_CH2 DL6_CH2" value="0" />
        </path>
        <path name="PLAYBACK6_TO_I2S5" value="turnon">
            <kctl name="I2S5_CH1 DL6_CH1" value="1" />
            <kctl name="I2S5_CH2 DL6_CH2" value="1" />
        </path>
        <path name="PLAYBACK6_TO_I2S5" value="turnoff">
            <kctl name="I2S5_CH1 DL6_CH1" value="0" />
            <kctl name="I2S5_CH2 DL6_CH2" value="0" />
        </path>
        <path name="PLAYBACK3_TO_ADDA_DL" value="turnon">
            <kctl name="ADDA_DL_CH1 DL3_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 DL3_CH2" value="1" />
        </path>
        <path name="PLAYBACK3_TO_ADDA_DL" value="turnoff">
            <kctl name="ADDA_DL_CH1 DL3_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 DL3_CH2" value="0" />
        </path>
        <path name="PLAYBACK3_TO_I2S1" value="turnon">
            <kctl name="I2S1_CH1 DL3_CH1" value="1" />
            <kctl name="I2S1_CH2 DL3_CH2" value="1" />
        </path>
        <path name="PLAYBACK3_TO_I2S1" value="turnoff">
            <kctl name="I2S1_CH1 DL3_CH1" value="0" />
            <kctl name="I2S1_CH2 DL3_CH2" value="0" />
        </path>
        <path name="PLAYBACK3_TO_I2S3" value="turnon">
            <kctl name="I2S3_CH1 DL3_CH1" value="1" />
            <kctl name="I2S3_CH2 DL3_CH2" value="1" />
        </path>
        <path name="PLAYBACK3_TO_I2S3" value="turnoff">
            <kctl name="I2S3_CH1 DL3_CH1" value="0" />
            <kctl name="I2S3_CH2 DL3_CH2" value="0" />
        </path>
        <path name="PLAYBACK3_TO_I2S5" value="turnon">
            <kctl name="I2S5_CH1 DL3_CH1" value="1" />
            <kctl name="I2S5_CH2 DL3_CH2" value="1" />
        </path>
        <path name="PLAYBACK3_TO_I2S5" value="turnoff">
            <kctl name="I2S5_CH1 DL3_CH1" value="0" />
            <kctl name="I2S5_CH2 DL3_CH2" value="0" />
        </path>
        <path name="PLAYBACK4_TO_ADDA_DL" value="turnon">
            <kctl name="ADDA_DL_CH1 DL4_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 DL4_CH2" value="1" />
        </path>
        <path name="PLAYBACK4_TO_ADDA_DL" value="turnoff">
            <kctl name="ADDA_DL_CH1 DL4_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 DL4_CH2" value="0" />
        </path>
        <path name="PLAYBACK4_TO_I2S1" value="turnon">
            <kctl name="I2S1_CH1 DL4_CH1" value="1" />
            <kctl name="I2S1_CH2 DL4_CH2" value="1" />
        </path>
        <path name="PLAYBACK4_TO_I2S1" value="turnoff">
            <kctl name="I2S1_CH1 DL4_CH1" value="0" />
            <kctl name="I2S1_CH2 DL4_CH2" value="0" />
        </path>
        <path name="PLAYBACK4_TO_I2S3" value="turnon">
            <kctl name="I2S3_CH1 DL4_CH1" value="1" />
            <kctl name="I2S3_CH2 DL4_CH2" value="1" />
        </path>
        <path name="PLAYBACK4_TO_I2S3" value="turnoff">
            <kctl name="I2S3_CH1 DL4_CH1" value="0" />
            <kctl name="I2S3_CH2 DL4_CH2" value="0" />
        </path>
        <path name="PLAYBACK4_TO_I2S5" value="turnon">
            <kctl name="I2S5_CH1 DL4_CH1" value="1" />
            <kctl name="I2S5_CH2 DL4_CH2" value="1" />
        </path>
        <path name="PLAYBACK4_TO_I2S5" value="turnoff">
            <kctl name="I2S5_CH1 DL4_CH1" value="0" />
            <kctl name="I2S5_CH2 DL4_CH2" value="0" />
        </path>
        <path name="PLAYBACK5_TO_ADDA_DL" value="turnon">
            <kctl name="ADDA_DL_CH1 DL5_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 DL5_CH2" value="1" />
        </path>
        <path name="PLAYBACK5_TO_ADDA_DL" value="turnoff">
            <kctl name="ADDA_DL_CH1 DL5_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 DL5_CH2" value="0" />
        </path>
        <path name="PLAYBACK5_TO_I2S3" value="turnon">
            <kctl name="I2S3_CH1 DL5_CH1" value="1" />
            <kctl name="I2S3_CH2 DL5_CH2" value="1" />
        </path>
        <path name="PLAYBACK5_TO_I2S3" value="turnoff">
            <kctl name="I2S3_CH1 DL5_CH1" value="0" />
            <kctl name="I2S3_CH2 DL5_CH2" value="0" />
        </path>
        <path name="ADDA_TO_HW_GAIN2" value="turnon">
            <kctl name="HW_GAIN2_IN_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="HW_GAIN2_IN_CH2 ADDA_UL_CH2" value="1" />
        </path>
        <path name="ADDA_TO_HW_GAIN2" value="turnoff">
            <kctl name="HW_GAIN2_IN_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="HW_GAIN2_IN_CH2 ADDA_UL_CH2" value="0" />
        </path>
        <path name="HW_GAIN2_TO_CAPTURE7" value="turnon">
            <kctl name="UL7_CH1 HW_GAIN2_OUT_CH1" value="1" />
            <kctl name="UL7_CH2 HW_GAIN2_OUT_CH2" value="1" />
        </path>
        <path name="HW_GAIN2_TO_CAPTURE7" value="turnoff">
            <kctl name="UL7_CH1 HW_GAIN2_OUT_CH1" value="0" />
            <kctl name="UL7_CH2 HW_GAIN2_OUT_CH2" value="0" />
        </path>
        <path name="HW_GAIN2_TO_HW_SRC2" value="turnon">
            <kctl name="HW_SRC_2_IN_CH1 HW_GAIN2_OUT_CH1" value="1" />
            <kctl name="HW_SRC_2_IN_CH2 HW_GAIN2_OUT_CH2" value="1" />
        </path>
        <path name="HW_GAIN2_TO_HW_SRC2" value="turnoff">
            <kctl name="HW_SRC_2_IN_CH1 HW_GAIN2_OUT_CH1" value="0" />
            <kctl name="HW_SRC_2_IN_CH2 HW_GAIN2_OUT_CH2" value="0" />
        </path>
        <path name="HW_SRC2_TO_CAPTURE7" value="turnon">
            <kctl name="UL7_CH1 HW_SRC_2_OUT_CH1" value="1" />
            <kctl name="UL7_CH2 HW_SRC_2_OUT_CH2" value="1" />
        </path>
        <path name="HW_SRC2_TO_CAPTURE7" value="turnoff">
            <kctl name="UL7_CH1 HW_SRC_2_OUT_CH1" value="0" />
            <kctl name="UL7_CH2 HW_SRC_2_OUT_CH2" value="0" />
        </path>
        <path name="ADDA_TO_CAPTURE7" value="turnon">
            <kctl name="UL7_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="UL7_CH2 ADDA_UL_CH2" value="1" />
        </path>
        <path name="ADDA_TO_CAPTURE7" value="turnoff">
            <kctl name="UL7_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="UL7_CH2 ADDA_UL_CH2" value="0" />
        </path>
        <path name="ADDA_TO_CAPTURE1" value="turnon">
            <kctl name="UL1_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="UL1_CH2 ADDA_UL_CH2" value="1" />
        </path>
        <path name="ADDA_TO_CAPTURE1" value="turnoff">
            <kctl name="UL1_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="UL1_CH2 ADDA_UL_CH2" value="0" />
        </path>
        <path name="ADDA_TO_CAPTURE1_4CH" value="turnon">
            <kctl name="UL1_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="UL1_CH2 ADDA_UL_CH1" value="1" />
            <kctl name="UL1_CH3 ADDA_UL_CH1" value="1" />
            <kctl name="UL1_CH4 ADDA_UL_CH2" value="1" />
        </path>
        <path name="ADDA_TO_CAPTURE1_4CH" value="turnoff">
            <kctl name="UL1_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="UL1_CH2 ADDA_UL_CH1" value="0" />
            <kctl name="UL1_CH3 ADDA_UL_CH1" value="0" />
            <kctl name="UL1_CH4 ADDA_UL_CH2" value="0" />
        </path>
        <path name="Mic1_ADDA_TO_CAPTURE1_4CH" value="turnon">
            <kctl name="UL1_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="UL1_CH2 ADDA_UL_CH1" value="1" />
            <kctl name="UL1_CH3 ADDA_UL_CH1" value="1" />
            <kctl name="UL1_CH4 ADDA_UL_CH1" value="1" />
        </path>
        <path name="Mic1_ADDA_TO_CAPTURE1_4CH" value="turnoff">
            <kctl name="UL1_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="UL1_CH2 ADDA_UL_CH1" value="0" />
            <kctl name="UL1_CH3 ADDA_UL_CH1" value="0" />
            <kctl name="UL1_CH4 ADDA_UL_CH1" value="0" />
        </path>
        <path name="Mic2_ADDA_TO_CAPTURE1_4CH" value="turnon">
            <kctl name="UL1_CH1 ADDA_UL_CH2" value="1" />
            <kctl name="UL1_CH2 ADDA_UL_CH2" value="1" />
            <kctl name="UL1_CH3 ADDA_UL_CH2" value="1" />
            <kctl name="UL1_CH4 ADDA_UL_CH2" value="1" />
        </path>
        <path name="Mic2_ADDA_TO_CAPTURE1_4CH" value="turnoff">
            <kctl name="UL1_CH1 ADDA_UL_CH2" value="0" />
            <kctl name="UL1_CH2 ADDA_UL_CH2" value="0" />
            <kctl name="UL1_CH3 ADDA_UL_CH2" value="0" />
            <kctl name="UL1_CH4 ADDA_UL_CH2" value="0" />
        </path>
        <path name="DMic1_ADDA_TO_CAPTURE1_4CH" value="turnon">
            <kctl name="UL1_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="UL1_CH2 ADDA_UL_CH1" value="1" />
            <kctl name="UL1_CH3 ADDA_UL_CH1" value="1" />
            <kctl name="UL1_CH4 ADDA_UL_CH1" value="1" />
        </path>
        <path name="DMic1_ADDA_TO_CAPTURE1_4CH" value="turnoff">
            <kctl name="UL1_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="UL1_CH2 ADDA_UL_CH1" value="0" />
            <kctl name="UL1_CH3 ADDA_UL_CH1" value="0" />
            <kctl name="UL1_CH4 ADDA_UL_CH1" value="0" />
        </path>
        <path name="DMic2_ADDA_TO_CAPTURE1_4CH" value="turnon">
            <kctl name="UL1_CH1 ADDA_UL_CH2" value="1" />
            <kctl name="UL1_CH2 ADDA_UL_CH2" value="1" />
            <kctl name="UL1_CH3 ADDA_UL_CH2" value="1" />
            <kctl name="UL1_CH4 ADDA_UL_CH2" value="1" />
        </path>
        <path name="DMic2_ADDA_TO_CAPTURE1_4CH" value="turnoff">
            <kctl name="UL1_CH1 ADDA_UL_CH2" value="0" />
            <kctl name="UL1_CH2 ADDA_UL_CH2" value="0" />
            <kctl name="UL1_CH3 ADDA_UL_CH2" value="0" />
            <kctl name="UL1_CH4 ADDA_UL_CH2" value="0" />
        </path>
        <path name="CONNSYS_TO_CAPTURE3" value="turnon">
            <kctl name="UL3_CH1 CONNSYS_I2S_CH1" value="1" />
            <kctl name="UL3_CH2 CONNSYS_I2S_CH2" value="1" />
        </path>
        <path name="CONNSYS_TO_CAPTURE3" value="turnoff">
            <kctl name="UL3_CH1 CONNSYS_I2S_CH1" value="0" />
            <kctl name="UL3_CH2 CONNSYS_I2S_CH2" value="0" />
        </path>
        <path name="DL_MEMIF_TO_CAPTURE2" value="turnon">
            <kctl name="UL2_CH1 DL1_CH1" value="1" />
            <kctl name="UL2_CH2 DL1_CH2" value="1" />
            <kctl name="UL2_CH1 DL2_CH1" value="1" />
            <kctl name="UL2_CH2 DL2_CH2" value="1" />
            <kctl name="UL2_CH1 DL3_CH1" value="1" />
            <kctl name="UL2_CH2 DL3_CH2" value="1" />
            <kctl name="UL2_CH1 DL12_CH1" value="1" />
            <kctl name="UL2_CH2 DL12_CH2" value="1" />
        </path>
        <path name="DL_MEMIF_TO_CAPTURE2" value="turnoff">
            <kctl name="UL2_CH1 DL1_CH1" value="0" />
            <kctl name="UL2_CH2 DL1_CH2" value="0" />
            <kctl name="UL2_CH1 DL2_CH1" value="0" />
            <kctl name="UL2_CH2 DL2_CH2" value="0" />
            <kctl name="UL2_CH1 DL3_CH1" value="0" />
            <kctl name="UL2_CH2 DL3_CH2" value="0" />
            <kctl name="UL2_CH1 DL12_CH1" value="0" />
            <kctl name="UL2_CH2 DL12_CH2" value="0" />
        </path>
        <path name="DL_MEMIF_TO_CAPTURE2_SPEAKER_HIFI3" value="turnon">
            <kctl name="UL2_CH1 DL4_CH1" value="1" />
            <kctl name="UL2_CH2 DL4_CH2" value="1" />
        </path>
        <path name="DL_MEMIF_TO_CAPTURE2_SPEAKER_HIFI3" value="turnoff">
            <kctl name="UL2_CH1 DL4_CH1" value="0" />
            <kctl name="UL2_CH2 DL4_CH2" value="0" />
        </path>
        <path name="DL_PLAYBACK_TO_CAPTURE2_NON_SPEAKER_HIFI3" value="turnon">
            <kctl name="UL2_CH1 DL2_CH1" value="1" />
            <kctl name="UL2_CH2 DL2_CH2" value="1" />
            <kctl name="UL2_CH1 DL12_CH1" value="1" />
            <kctl name="UL2_CH2 DL12_CH2" value="1" />
            <kctl name="UL2_CH1 DL4_CH1" value="1" />
            <kctl name="UL2_CH2 DL4_CH2" value="1" />
        </path>
        <path name="DL_PLAYBACK_TO_CAPTURE2_NON_SPEAKER_HIFI3" value="turnoff">
            <kctl name="UL2_CH1 DL2_CH1" value="0" />
            <kctl name="UL2_CH2 DL2_CH2" value="0" />
            <kctl name="UL2_CH1 DL12_CH1" value="0" />
            <kctl name="UL2_CH2 DL12_CH2" value="0" />
            <kctl name="UL2_CH1 DL4_CH1" value="0" />
            <kctl name="UL2_CH2 DL4_CH2" value="0" />
        </path>
        <path name="I2S0_TO_CAPTURE2" value="turnon">
            <kctl name="UL2_CH1 I2S0_CH1" value="1" />
            <kctl name="UL2_CH2 I2S0_CH2" value="1" />
        </path>
        <path name="I2S0_TO_CAPTURE2" value="turnoff">
            <kctl name="UL2_CH1 I2S0_CH1" value="0" />
            <kctl name="UL2_CH2 I2S0_CH2" value="0" />
        </path>
        <path name="I2S0_TO_CAPTURE4" value="turnon">
            <kctl name="UL4_CH1 I2S0_CH1" value="1" />
            <kctl name="UL4_CH2 I2S0_CH2" value="1" />
        </path>
        <path name="I2S0_TO_CAPTURE4" value="turnoff">
            <kctl name="UL4_CH1 I2S0_CH1" value="0" />
            <kctl name="UL4_CH2 I2S0_CH2" value="0" />
        </path>
        <path name="TINYCONN_I2S0_TO_CAPTURE4" value="turnon">
            <kctl name="UL4_TINYCONN_CH1_MUX" value="I2S0_CH1" />
            <kctl name="UL4_TINYCONN_CH2_MUX" value="I2S0_CH2" />
        </path>
        <path name="TINYCONN_I2S0_TO_CAPTURE4" value="turnoff">
            <kctl name="UL4_TINYCONN_CH1_MUX" value="NONE" />
            <kctl name="UL4_TINYCONN_CH2_MUX" value="NONE" />
        </path>
        <path name="I2S2_TO_CAPTURE2" value="turnon">
            <kctl name="UL2_CH1 I2S2_CH1" value="1" />
            <kctl name="UL2_CH2 I2S2_CH2" value="1" />
        </path>
        <path name="I2S2_TO_CAPTURE2" value="turnoff">
            <kctl name="UL2_CH1 I2S2_CH1" value="0" />
            <kctl name="UL2_CH2 I2S2_CH2" value="0" />
        </path>
        <path name="CONNSYS_TO_ADDA_DL" value="turnon">
            <kctl name="HW_GAIN1_IN_CH1 CONNSYS_I2S_CH1" value="1" />
            <kctl name="HW_GAIN1_IN_CH2 CONNSYS_I2S_CH2" value="1" />
            <kctl name="ADDA_DL_CH1 GAIN1_OUT_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 GAIN1_OUT_CH2" value="1" />
        </path>
        <path name="CONNSYS_TO_ADDA_DL" value="turnoff">
            <kctl name="HW_GAIN1_IN_CH1 CONNSYS_I2S_CH1" value="0" />
            <kctl name="HW_GAIN1_IN_CH2 CONNSYS_I2S_CH2" value="0" />
            <kctl name="ADDA_DL_CH1 GAIN1_OUT_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 GAIN1_OUT_CH2" value="0" />
        </path>
        <path name="CONNSYS_TO_I2S1" value="turnon">
            <kctl name="HW_GAIN1_IN_CH1 CONNSYS_I2S_CH1" value="1" />
            <kctl name="HW_GAIN1_IN_CH2 CONNSYS_I2S_CH2" value="1" />
            <kctl name="I2S1_CH1 GAIN1_OUT_CH1" value="1" />
            <kctl name="I2S1_CH2 GAIN1_OUT_CH2" value="1" />
        </path>
        <path name="CONNSYS_TO_I2S1" value="turnoff">
            <kctl name="HW_GAIN1_IN_CH1 CONNSYS_I2S_CH1" value="0" />
            <kctl name="HW_GAIN1_IN_CH2 CONNSYS_I2S_CH2" value="0" />
            <kctl name="I2S1_CH1 GAIN1_OUT_CH1" value="0" />
            <kctl name="I2S1_CH2 GAIN1_OUT_CH2" value="0" />
        </path>
        <path name="CONNSYS_TO_I2S3" value="turnon">
            <kctl name="HW_GAIN1_IN_CH1 CONNSYS_I2S_CH1" value="1" />
            <kctl name="HW_GAIN1_IN_CH2 CONNSYS_I2S_CH2" value="1" />
            <kctl name="I2S3_CH1 GAIN1_OUT_CH1" value="1" />
            <kctl name="I2S3_CH2 GAIN1_OUT_CH2" value="1" />
        </path>
        <path name="CONNSYS_TO_I2S3" value="turnoff">
            <kctl name="HW_GAIN1_IN_CH1 CONNSYS_I2S_CH1" value="0" />
            <kctl name="HW_GAIN1_IN_CH2 CONNSYS_I2S_CH2" value="0" />
            <kctl name="I2S3_CH1 GAIN1_OUT_CH1" value="0" />
            <kctl name="I2S3_CH2 GAIN1_OUT_CH2" value="0" />
        </path>
        <path name="CONNSYS_TO_I2S5" value="turnon">
            <kctl name="HW_GAIN1_IN_CH1 CONNSYS_I2S_CH1" value="1" />
            <kctl name="HW_GAIN1_IN_CH2 CONNSYS_I2S_CH2" value="1" />
            <kctl name="I2S5_CH1 GAIN1_OUT_CH1" value="1" />
            <kctl name="I2S5_CH2 GAIN1_OUT_CH2" value="1" />
        </path>
        <path name="CONNSYS_TO_I2S5" value="turnoff">
            <kctl name="HW_GAIN1_IN_CH1 CONNSYS_I2S_CH1" value="0" />
            <kctl name="HW_GAIN1_IN_CH2 CONNSYS_I2S_CH2" value="0" />
            <kctl name="I2S5_CH1 GAIN1_OUT_CH1" value="0" />
            <kctl name="I2S5_CH2 GAIN1_OUT_CH2" value="0" />
        </path>
        <path name="MRG_TO_ADDA_I2S" value="turnon">
        </path>
        <path name="MRG_TO_ADDA_I2S" value="turnoff">
        </path>
        <path name="MD1_TO_ADDA_DL" value="turnon">
            <kctl name="ADDA_DL_CH1 PCM_2_CAP_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 PCM_2_CAP_CH1" value="1" />
        </path>
        <path name="MD1_TO_ADDA_DL" value="turnoff">
            <kctl name="ADDA_DL_CH1 PCM_2_CAP_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 PCM_2_CAP_CH1" value="0" />
        </path>
        <path name="DMic1_MD1_TO_ADDA_DL" value="turnon">
            <kctl name="ADDA_DL_CH1 PCM_2_CAP_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 PCM_2_CAP_CH1" value="1" />
        </path>
        <path name="DMic1_MD1_TO_ADDA_DL" value="turnoff">
            <kctl name="ADDA_DL_CH1 PCM_2_CAP_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 PCM_2_CAP_CH1" value="0" />
        </path>
        <path name="DMic2_MD1_TO_ADDA_DL" value="turnon">
            <kctl name="PCM_2_PB_CH1 ADDA_UL_CH2" value="1" />
            <kctl name="PCM_2_PB_CH2 ADDA_UL_CH2" value="1" />
            <kctl name="ADDA_DL_CH1 PCM_2_CAP_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 PCM_2_CAP_CH1" value="1" />
        </path>
        <path name="DMic2_MD1_TO_ADDA_DL" value="turnoff">
            <kctl name="PCM_2_PB_CH1 ADDA_UL_CH2" value="0" />
            <kctl name="PCM_2_PB_CH2 ADDA_UL_CH2" value="0" />
            <kctl name="ADDA_DL_CH1 PCM_2_CAP_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 PCM_2_CAP_CH1" value="0" />
        </path>
        <path name="MD1_TO_I2S1" value="turnon">
            <kctl name="I2S1_CH1 PCM_2_CAP_CH1" value="1" />
            <kctl name="I2S1_CH2 PCM_2_CAP_CH1" value="1" />
        </path>
        <path name="MD1_TO_I2S1" value="turnoff">
            <kctl name="I2S1_CH1 PCM_2_CAP_CH1" value="0" />
            <kctl name="I2S1_CH2 PCM_2_CAP_CH1" value="0" />
        </path>
        <path name="MD1_TO_I2S3" value="turnon">
            <kctl name="I2S3_CH1 PCM_2_CAP_CH1" value="1" />
            <kctl name="I2S3_CH2 PCM_2_CAP_CH1" value="1" />
        </path>
        <path name="MD1_TO_I2S3" value="turnoff">
            <kctl name="I2S3_CH1 PCM_2_CAP_CH1" value="0" />
            <kctl name="I2S3_CH2 PCM_2_CAP_CH1" value="0" />
        </path>
        <path name="MIC1_MD1_TO_I2S3" value="turnon">
            <kctl name="PCM_2_PB_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="PCM_2_PB_CH2 ADDA_UL_CH1" value="1" />
            <kctl name="I2S3_CH1 PCM_2_CAP_CH1" value="1" />
            <kctl name="I2S3_CH2 PCM_2_CAP_CH1" value="1" />
        </path>
        <path name="MIC1_MD1_TO_I2S3" value="turnoff">
            <kctl name="PCM_2_PB_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="PCM_2_PB_CH2 ADDA_UL_CH1" value="0" />
            <kctl name="I2S3_CH1 PCM_2_CAP_CH1" value="0" />
            <kctl name="I2S3_CH2 PCM_2_CAP_CH1" value="0" />
        </path>
        <path name="MIC2_MD1_TO_I2S3" value="turnon">
            <kctl name="PCM_2_PB_CH1 ADDA_UL_CH2" value="1" />
            <kctl name="PCM_2_PB_CH2 ADDA_UL_CH2" value="1" />
            <kctl name="I2S3_CH1 PCM_2_CAP_CH1" value="1" />
            <kctl name="I2S3_CH2 PCM_2_CAP_CH1" value="1" />
        </path>
        <path name="MIC2_MD1_TO_I2S3" value="turnoff">
            <kctl name="PCM_2_PB_CH1 ADDA_UL_CH2" value="0" />
            <kctl name="PCM_2_PB_CH2 ADDA_UL_CH2" value="0" />
            <kctl name="I2S3_CH1 PCM_2_CAP_CH1" value="0" />
            <kctl name="I2S3_CH2 PCM_2_CAP_CH1" value="0" />
        </path>
        <path name="MD1_TO_I2S5" value="turnon">
            <kctl name="PCM_2_PB_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="PCM_2_PB_CH2 ADDA_UL_CH2" value="1" />
            <kctl name="I2S5_CH1 PCM_2_CAP_CH1" value="1" />
            <kctl name="I2S5_CH2 PCM_2_CAP_CH1" value="1" />
        </path>
        <path name="MD1_TO_I2S5" value="turnoff">
            <kctl name="I2S5_CH1 PCM_2_CAP_CH1" value="0" />
            <kctl name="I2S5_CH2 PCM_2_CAP_CH1" value="0" />
        </path>
        <path name="DL4_TO_MD1" value="turnon">
            <kctl name="PCM_2_PB_CH1 DL4_CH1" value="1" />
            <kctl name="PCM_2_PB_CH2 DL4_CH2" value="1" />
        </path>
        <path name="DL4_TO_MD1" value="turnoff">
            <kctl name="PCM_2_PB_CH1 DL4_CH1" value="0" />
            <kctl name="PCM_2_PB_CH2 DL4_CH2" value="0" />
        </path>
        <path name="MD2_TO_ADDA_DL" value="turnon">
            <kctl name="ADDA_DL_CH1 PCM_1_CAP_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 PCM_1_CAP_CH1" value="1" />
        </path>
        <path name="MD2_TO_ADDA_DL" value="turnoff">
            <kctl name="ADDA_DL_CH1 PCM_1_CAP_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 PCM_1_CAP_CH1" value="0" />
        </path>
        <path name="MD2_TO_I2S1" value="turnon">
            <kctl name="I2S1_CH1 PCM_1_CAP_CH1" value="1" />
            <kctl name="I2S1_CH2 PCM_1_CAP_CH1" value="1" />
        </path>
        <path name="MD2_TO_I2S1" value="turnoff">
            <kctl name="I2S1_CH1 PCM_1_CAP_CH1" value="0" />
            <kctl name="I2S1_CH2 PCM_1_CAP_CH1" value="0" />
        </path>
        <path name="MD2_TO_I2S3" value="turnon">
            <kctl name="I2S3_CH1 PCM_1_CAP_CH1" value="1" />
            <kctl name="I2S3_CH2 PCM_1_CAP_CH1" value="1" />
        </path>
        <path name="MD2_TO_I2S3" value="turnoff">
            <kctl name="I2S3_CH1 PCM_1_CAP_CH1" value="0" />
            <kctl name="I2S3_CH2 PCM_1_CAP_CH1" value="0" />
        </path>
        <path name="MD2_TO_I2S5" value="turnon">
            <kctl name="I2S5_CH1 PCM_1_CAP_CH1" value="1" />
            <kctl name="I2S5_CH2 PCM_1_CAP_CH1" value="1" />
        </path>
        <path name="MD2_TO_I2S5" value="turnoff">
            <kctl name="I2S5_CH1 PCM_1_CAP_CH1" value="0" />
            <kctl name="I2S5_CH2 PCM_1_CAP_CH1" value="0" />
        </path>
        <path name="ADDA_UL_TO_ADDA_DL" value="turnon">
            <kctl name="ADDA_DL_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 ADDA_UL_CH2" value="1" />
        </path>
        <path name="ADDA_UL_TO_ADDA_DL" value="turnoff">
            <kctl name="ADDA_DL_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 ADDA_UL_CH2" value="0" />
        </path>
        <path name="DMic1_ADDA_UL_TO_ADDA_DL" value="turnon">
            <kctl name="ADDA_DL_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 ADDA_UL_CH1" value="1" />
        </path>
        <path name="DMic1_ADDA_UL_TO_ADDA_DL" value="turnoff">
            <kctl name="ADDA_DL_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 ADDA_UL_CH1" value="0" />
        </path>
        <path name="DMic2_ADDA_UL_TO_ADDA_DL" value="turnon">
            <kctl name="ADDA_DL_CH1 ADDA_UL_CH2" value="1" />
            <kctl name="ADDA_DL_CH2 ADDA_UL_CH2" value="1" />
        </path>
        <path name="DMic2_ADDA_UL_TO_ADDA_DL" value="turnoff">
            <kctl name="ADDA_DL_CH1 ADDA_UL_CH2" value="0" />
            <kctl name="ADDA_DL_CH2 ADDA_UL_CH2" value="0" />
        </path>
        <path name="ADDA_UL_TO_I2S1" value="turnon">
            <kctl name="I2S1_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="I2S1_CH2 ADDA_UL_CH2" value="1" />
        </path>
        <path name="ADDA_UL_TO_I2S1" value="turnoff">
            <kctl name="I2S1_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="I2S1_CH2 ADDA_UL_CH2" value="0" />
        </path>
        <path name="ADDA_UL_TO_I2S3" value="turnon">
            <kctl name="I2S3_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="I2S3_CH2 ADDA_UL_CH2" value="1" />
        </path>
        <path name="ADDA_UL_TO_I2S3" value="turnoff">
            <kctl name="I2S3_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="I2S3_CH2 ADDA_UL_CH2" value="0" />
        </path>
        <path name="DMic1_ADDA_UL_TO_I2S3" value="turnon">
            <kctl name="I2S3_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="I2S3_CH2 ADDA_UL_CH1" value="1" />
        </path>
        <path name="DMic1_ADDA_UL_TO_I2S3" value="turnoff">
            <kctl name="I2S3_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="I2S3_CH2 ADDA_UL_CH1" value="0" />
        </path>
        <path name="DMic2_ADDA_UL_TO_I2S3" value="turnon">
            <kctl name="I2S3_CH1 ADDA_UL_CH2" value="1" />
            <kctl name="I2S3_CH2 ADDA_UL_CH2" value="1" />
        </path>
        <path name="DMic2_ADDA_UL_TO_I2S3" value="turnoff">
            <kctl name="I2S3_CH1 ADDA_UL_CH2" value="0" />
            <kctl name="I2S3_CH2 ADDA_UL_CH2" value="0" />
        </path>
        <path name="ADDA_UL_TO_I2S5" value="turnon">
            <kctl name="I2S5_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="I2S5_CH2 ADDA_UL_CH2" value="1" />
        </path>
        <path name="ADDA_UL_TO_I2S5" value="turnoff">
            <kctl name="I2S5_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="I2S5_CH2 ADDA_UL_CH2" value="0" />
        </path>
        <path name="DL4_TO_MD2" value="turnon">
            <kctl name="PCM_1_PB_CH1 DL4_CH1" value="1" />
            <kctl name="PCM_1_PB_CH2 DL4_CH2" value="1" />
        </path>
        <path name="DL4_TO_MD2" value="turnoff">
            <kctl name="PCM_1_PB_CH1 DL4_CH1" value="0" />
            <kctl name="PCM_1_PB_CH2 DL4_CH2" value="0" />
        </path>
        <path name="SPK_INIT" value="turnon">
            <kctl name="I2S1_HD_Mux" value="Low_Jitter" />
            <kctl name="I2S1_Out_Mux" value="Dummy_Widget" />
            <kctl name="I2S3_HD_Mux" value="Low_Jitter" />
            <kctl name="I2S3_Out_Mux" value="Dummy_Widget" />
            <kctl name="I2S5_HD_Mux" value="Low_Jitter" />
            <kctl name="I2S5_Out_Mux" value="Dummy_Widget" />
        </path>
        <path name="SPK_INIT" value="turnoff">
            <kctl name="I2S1_Out_Mux" value="Normal" />
            <kctl name="I2S1_HD_Mux" value="Normal" />
            <kctl name="I2S3_Out_Mux" value="Normal" />
            <kctl name="I2S3_HD_Mux" value="Normal" />
            <kctl name="I2S5_Out_Mux" value="Normal" />
            <kctl name="I2S5_HD_Mux" value="Normal" />
        </path>
        <path name="DL1_TO_MD1_ECHO_REF" value="turnon">
            <kctl name="PCM_2_PB_CH4 DL1_CH1" value="1" />
            <kctl name="PCM_2_PB_CH5 DL1_CH2" value="1" />
        </path>
        <path name="DL1_TO_MD1_ECHO_REF" value="turnoff">
            <kctl name="PCM_2_PB_CH4 DL1_CH1" value="0" />
            <kctl name="PCM_2_PB_CH5 DL1_CH2" value="0" />
        </path>
        <path name="DL4_TO_MD1_ECHO_REF" value="turnon">
            <kctl name="PCM_2_PB_CH4 DL4_CH1" value="1" />
            <kctl name="PCM_2_PB_CH5 DL4_CH2" value="1" />
        </path>
        <path name="DL4_TO_MD1_ECHO_REF" value="turnoff">
            <kctl name="PCM_2_PB_CH4 DL4_CH1" value="0" />
            <kctl name="PCM_2_PB_CH5 DL4_CH2" value="0" />
        </path>
        <path name="MD1_ECHO_REF_I2S0_ON" value="setting">
            <kctl name="PCM_2_PB_CH4 I2S0_CH1" value="1" />
            <kctl name="PCM_2_PB_CH5 I2S0_CH2" value="1" />
        </path>
        <path name="MD1_ECHO_REF_I2S0_OFF" value="setting">
            <kctl name="PCM_2_PB_CH4 I2S0_CH1" value="0" />
            <kctl name="PCM_2_PB_CH5 I2S0_CH2" value="0" />
        </path>
        <path name="MD1_ECHO_REF_I2S2_ON" value="setting">
            <kctl name="PCM_2_PB_CH4 I2S2_CH1" value="1" />
            <kctl name="PCM_2_PB_CH5 I2S2_CH2" value="1" />
        </path>
        <path name="MD1_ECHO_REF_I2S2_OFF" value="setting">
            <kctl name="PCM_2_PB_CH4 I2S2_CH1" value="0" />
            <kctl name="PCM_2_PB_CH5 I2S2_CH2" value="0" />
        </path>
        <path name="DL1_TO_MD2_ECHO_REF" value="turnon">
            <kctl name="PCM_1_PB_CH4 DL1_CH2" value="1" />
        </path>
        <path name="DL1_TO_MD2_ECHO_REF" value="turnoff">
            <kctl name="PCM_1_PB_CH4 DL1_CH2" value="0" />
        </path>
        <path name="DL4_TO_MD2_ECHO_REF" value="turnon">
            <kctl name="PCM_1_PB_CH4 DL4_CH2" value="1" />
        </path>
        <path name="DL4_TO_MD2_ECHO_REF" value="turnoff">
            <kctl name="PCM_1_PB_CH4 DL4_CH2" value="0" />
        </path>
        <path name="MD2_ECHO_REF_I2S0_ON" value="setting">
            <kctl name="PCM_1_PB_CH4 I2S0_CH2" value="1" />
        </path>
        <path name="MD2_ECHO_REF_I2S0_OFF" value="setting">
            <kctl name="PCM_1_PB_CH4 I2S0_CH2" value="0" />
        </path>
        <path name="MD2_ECHO_REF_I2S2_ON" value="setting">
            <kctl name="PCM_1_PB_CH4 I2S2_CH2" value="1" />
        </path>
        <path name="MD2_ECHO_REF_I2S2_OFF" value="setting">
            <kctl name="PCM_1_PB_CH4 I2S2_CH2" value="0" />
        </path>
        <path name="VOW_BARGE_IN_ECHO" value="turnon">
            <kctl name="HW_SRC_1_IN_CH1 DL1_CH1" value="1" />
            <kctl name="HW_SRC_1_IN_CH2 DL1_CH2" value="1" />
            <kctl name="HW_SRC_1_IN_CH1 DL2_CH1" value="1" />
            <kctl name="HW_SRC_1_IN_CH2 DL2_CH2" value="1" />
            <kctl name="HW_SRC_1_IN_CH1 DL3_CH1" value="1" />
            <kctl name="HW_SRC_1_IN_CH2 DL3_CH2" value="1" />
            <kctl name="HW_SRC_1_IN_CH1 DL6_CH1" value="1" />
            <kctl name="HW_SRC_1_IN_CH2 DL6_CH2" value="1" />
            <kctl name="UL2_CH1 SRC_1_OUT_CH1" value="1" />
            <kctl name="UL2_CH2 SRC_1_OUT_CH2" value="1" />
        </path>
        <path name="VOW_BARGE_IN_ECHO" value="turnoff">
            <kctl name="HW_SRC_1_IN_CH1 DL1_CH1" value="0" />
            <kctl name="HW_SRC_1_IN_CH2 DL1_CH2" value="0" />
            <kctl name="HW_SRC_1_IN_CH1 DL2_CH1" value="0" />
            <kctl name="HW_SRC_1_IN_CH2 DL2_CH2" value="0" />
            <kctl name="HW_SRC_1_IN_CH1 DL3_CH1" value="0" />
            <kctl name="HW_SRC_1_IN_CH2 DL3_CH2" value="0" />
            <kctl name="HW_SRC_1_IN_CH1 DL6_CH1" value="0" />
            <kctl name="HW_SRC_1_IN_CH2 DL6_CH2" value="0" />
            <kctl name="UL2_CH1 SRC_1_OUT_CH1" value="0" />
            <kctl name="UL2_CH2 SRC_1_OUT_CH2" value="0" />
        </path>
        <path name="VOW_BARGE_IN_ECHO_SPEAKER_HIFI3" value="turnon">
            <kctl name="HW_SRC_1_IN_CH1 DL4_CH1" value="1" />
            <kctl name="HW_SRC_1_IN_CH2 DL4_CH2" value="1" />
            <kctl name="UL2_CH1 SRC_1_OUT_CH1" value="1" />
            <kctl name="UL2_CH2 SRC_1_OUT_CH2" value="1" />
        </path>
        <path name="VOW_BARGE_IN_ECHO_SPEAKER_HIFI3" value="turnoff">
            <kctl name="HW_SRC_1_IN_CH1 DL4_CH1" value="0" />
            <kctl name="HW_SRC_1_IN_CH2 DL4_CH2" value="0" />
            <kctl name="UL2_CH1 SRC_1_OUT_CH1" value="0" />
            <kctl name="UL2_CH2 SRC_1_OUT_CH2" value="0" />
        </path>
        <path name="VOW_BARGE_IN_ECHO_DSP_SMARTPA" value="turnon">
            <kctl name="HW_SRC_1_IN_CH1 I2S0_CH1" value="1" />
            <kctl name="HW_SRC_1_IN_CH2 I2S0_CH2" value="1" />
            <kctl name="UL2_CH1 SRC_1_OUT_CH1" value="1" />
            <kctl name="UL2_CH2 SRC_1_OUT_CH2" value="1" />
        </path>
        <path name="VOW_BARGE_IN_ECHO_DSP_SMARTPA" value="turnoff">
            <kctl name="HW_SRC_1_IN_CH1 I2S0_CH1" value="0" />
            <kctl name="HW_SRC_1_IN_CH2 I2S0_CH2" value="0" />
            <kctl name="UL2_CH1 SRC_1_OUT_CH1" value="0" />
            <kctl name="UL2_CH2 SRC_1_OUT_CH2" value="0" />
        </path>
        <path name="reset_device_setting" value="setting">
            <kctl name="deep_buffer_scenario" value="0" />
            <kctl name="record_xrun_assert" value="0" />
            <kctl name="fast_play_scenario" value="0" />
            <kctl name="primary_play_scenario" value="0" />
            <kctl name="voip_rx_scenario" value="0" />
            <kctl name="ADDA_UL_Mux" value="MTKAIF" />
            <kctl name="LOL Mux" value="Open" />
            <kctl name="HPL Mux" value="Open" />
            <kctl name="HPR Mux" value="Open" />
            <kctl name="RCV Mux" value="Open" />
            <kctl name="ADC_L_Mux" value="Idle" />
            <kctl name="ADC_R_Mux" value="Idle" />
            <kctl name="PGA_L_Mux" value="None" />
            <kctl name="PGA_R_Mux" value="None" />
            <kctl name="MISO0_MUX" value="UL1_CH1" />
            <kctl name="MISO1_MUX" value="UL1_CH2" />
            <kctl name="UL_SRC_MUX" value="AMIC" />
            <kctl name="UL2_SRC_MUX" value="AMIC" />
        </path>
        <path name="MD1_TO_CAPTURE2" value="turnon">
            <kctl name="UL2_CH1 PCM_2_CAP_CH1" value="1" />
            <kctl name="UL2_CH2 PCM_2_CAP_CH1" value="1" />
        </path>
        <path name="MD1_TO_CAPTURE2" value="turnoff">
            <kctl name="UL2_CH1 PCM_2_CAP_CH1" value="0" />
            <kctl name="UL2_CH2 PCM_2_CAP_CH1" value="0" />
        </path>
        <path name="MD2_TO_CAPTURE2" value="turnon">
            <kctl name="UL2_CH1 PCM_1_CAP_CH1" value="1" />
            <kctl name="UL2_CH2 PCM_1_CAP_CH1" value="1" />
        </path>
        <path name="MD2_TO_CAPTURE2" value="turnoff">
            <kctl name="UL2_CH1 PCM_1_CAP_CH1" value="0" />
            <kctl name="UL2_CH2 PCM_1_CAP_CH1" value="0" />
        </path>
        <path name="PLAYBACK2_TO_MD1" value="turnon">
            <kctl name="PCM_2_PB_CH1 DL2_CH1" value="1" />
            <kctl name="PCM_2_PB_CH2 DL2_CH2" value="1" />
        </path>
        <path name="PLAYBACK2_TO_MD1" value="turnoff">
            <kctl name="PCM_2_PB_CH1 DL2_CH1" value="0" />
            <kctl name="PCM_2_PB_CH2 DL2_CH2" value="0" />
        </path>
        <path name="PLAYBACK2_TO_MD2" value="turnon">
            <kctl name="PCM_1_PB_CH1 DL2_CH1" value="1" />
            <kctl name="PCM_1_PB_CH2 DL2_CH2" value="1" />
        </path>
        <path name="PLAYBACK2_TO_MD2" value="turnoff">
            <kctl name="PCM_1_PB_CH1 DL2_CH1" value="0" />
            <kctl name="PCM_1_PB_CH2 DL2_CH2" value="0" />
        </path>
        <path name="ADDA_UL_TO_MD1" value="turnon">
            <kctl name="PCM_2_PB_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="PCM_2_PB_CH2 ADDA_UL_CH2" value="1" />
        </path>
        <path name="ADDA_UL_TO_MD1" value="turnoff">
            <kctl name="PCM_2_PB_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="PCM_2_PB_CH2 ADDA_UL_CH2" value="0" />
        </path>
        <path name="ADDA_UL_TO_MD2" value="turnon">
            <kctl name="PCM_1_PB_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="PCM_1_PB_CH2 ADDA_UL_CH2" value="1" />
        </path>
        <path name="ADDA_UL_TO_MD2" value="turnoff">
            <kctl name="PCM_1_PB_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="PCM_1_PB_CH2 ADDA_UL_CH2" value="0" />
        </path>
        <path name="PLAYBACK1_TO_MD1_CH4" value="turnon">
            <kctl name="PCM_2_PB_CH4 DL1_CH1" value="1" />
        </path>
        <path name="PLAYBACK1_TO_MD1_CH4" value="turnoff">
            <kctl name="PCM_2_PB_CH4 DL1_CH1" value="0" />
        </path>
        <path name="PLAYBACK1_TO_MD2_CH4" value="turnon">
            <kctl name="PCM_1_PB_CH4 DL1_CH1" value="1" />
        </path>
        <path name="PLAYBACK1_TO_MD2_CH4" value="turnoff">
            <kctl name="PCM_1_PB_CH4 DL1_CH1" value="0" />
        </path>
        <path name="MD1_TO_CAPTURE_MONO_1" value="turnon">
            <kctl name="UL_MONO_1_CH1 PCM_2_CAP_CH1" value="1" />
        </path>
        <path name="MD1_TO_CAPTURE_MONO_1" value="turnoff">
            <kctl name="UL_MONO_1_CH1 PCM_2_CAP_CH1" value="0" />
        </path>
        <path name="MD2_TO_CAPTURE_MONO_1" value="turnon">
            <kctl name="UL_MONO_1_CH1 PCM_1_CAP_CH1" value="1" />
        </path>
        <path name="MD2_TO_CAPTURE_MONO_1" value="turnoff">
            <kctl name="UL_MONO_1_CH1 PCM_1_CAP_CH1" value="0" />
        </path>
        <path name="USB_ECHO_REF_DEBUG" value="turnon">
            <kctl name="ADDA_DL_CH1 DL2_CH1" value="1" />
            <kctl name="ADDA_DL_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 DL1_CH1" value="1" />
        </path>
        <path name="USB_ECHO_REF_DEBUG" value="turnoff">
            <kctl name="ADDA_DL_CH1 DL2_CH1" value="0" />
            <kctl name="ADDA_DL_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 DL1_CH1" value="0" />
        </path>
        <path name="USB_CALL_DEBUG_LOOPBACK" value="turnon">
            <kctl name="UL2_CH1 DL2_CH1" value="1" />
            <kctl name="UL2_CH2 DL2_CH2" value="1" />
        </path>
        <path name="USB_CALL_DEBUG_LOOPBACK" value="turnoff">
            <kctl name="UL2_CH1 DL2_CH1" value="0" />
            <kctl name="UL2_CH2 DL2_CH2" value="0" />
        </path>
        <path name="PLAYBACK1_TO_CAPTURE6" value="turnon">
            <kctl name="UL6_CH1 DL1_CH1" value="1" />
            <kctl name="UL6_CH2 DL1_CH2" value="1" />
        </path>
        <path name="PLAYBACK1_TO_CAPTURE6" value="turnoff">
            <kctl name="UL6_CH1 DL1_CH1" value="0" />
            <kctl name="UL6_CH2 DL1_CH2" value="0" />
        </path>
        <path name="PLAYBACK2_TO_CAPTURE6" value="turnon">
            <kctl name="UL6_CH1 DL2_CH1" value="1" />
            <kctl name="UL6_CH2 DL2_CH2" value="1" />
        </path>
        <path name="PLAYBACK2_TO_CAPTURE6" value="turnoff">
            <kctl name="UL6_CH1 DL2_CH1" value="0" />
            <kctl name="UL6_CH2 DL2_CH2" value="0" />
        </path>
        <path name="PLAYBACK3_TO_CAPTURE6" value="turnon">
            <kctl name="UL6_CH1 DL3_CH1" value="1" />
            <kctl name="UL6_CH2 DL3_CH2" value="1" />
        </path>
        <path name="PLAYBACK3_TO_CAPTURE6" value="turnoff">
            <kctl name="UL6_CH1 DL3_CH1" value="0" />
            <kctl name="UL6_CH2 DL3_CH2" value="0" />
        </path>
        <path name="PLAYBACK12_TO_CAPTURE6" value="turnon">
            <kctl name="UL6_CH1 DL12_CH1" value="1" />
            <kctl name="UL6_CH2 DL12_CH2" value="1" />
        </path>
        <path name="PLAYBACK12_TO_CAPTURE6" value="turnoff">
            <kctl name="UL6_CH1 DL12_CH1" value="0" />
            <kctl name="UL6_CH2 DL12_CH2" value="0" />
        </path>
        <path name="PLAYBACK6_TO_CAPTURE6" value="turnon">
            <kctl name="UL6_CH1 DL6_CH1" value="1" />
            <kctl name="UL6_CH2 DL6_CH2" value="1" />
        </path>
        <path name="PLAYBACK6_TO_CAPTURE6" value="turnoff">
            <kctl name="UL6_CH1 DL6_CH1" value="0" />
            <kctl name="UL6_CH2 DL6_CH2" value="0" />
        </path>
        <path name="PLAYBACK4_TO_CAPTURE6" value="turnon">
            <kctl name="UL6_CH1 DL4_CH1" value="1" />
            <kctl name="UL6_CH2 DL4_CH2" value="1" />
        </path>
        <path name="PLAYBACK4_TO_CAPTURE6" value="turnoff">
            <kctl name="UL6_CH1 DL4_CH1" value="0" />
            <kctl name="UL6_CH2 DL4_CH2" value="0" />
        </path>
        <path name="MD1_TO_CAPTURE6" value="turnon">
            <kctl name="UL6_CH1 PCM_2_CAP_CH1" value="1" />
            <kctl name="UL6_CH2 PCM_2_CAP_CH1" value="1" />
        </path>
        <path name="MD1_TO_CAPTURE6" value="turnoff">
            <kctl name="UL6_CH1 PCM_2_CAP_CH1" value="0" />
            <kctl name="UL6_CH2 PCM_2_CAP_CH1" value="0" />
        </path>
        <path name="MD2_TO_CAPTURE6" value="turnon">
            <kctl name="UL6_CH1 PCM_1_CAP_CH1" value="1" />
            <kctl name="UL6_CH2 PCM_1_CAP_CH1" value="1" />
        </path>
        <path name="MD2_TO_CAPTURE6" value="turnoff">
            <kctl name="UL6_CH1 PCM_1_CAP_CH1" value="0" />
            <kctl name="UL6_CH2 PCM_1_CAP_CH1" value="0" />
        </path>
        <path name="MIC_TO_CAPTURE8" value="turnon">
            <kctl name="UL8_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="UL8_CH2 ADDA_UL_CH2" value="1" />
        </path>
        <path name="MIC_TO_CAPTURE8" value="turnoff">
            <kctl name="UL8_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="UL8_CH2 ADDA_UL_CH2" value="0" />
        </path>
        <path name="PLAYBACK8_TO_ADDA_DL" value="turnon">
            <kctl name="ADDA_DL_CH1 DL8_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 DL8_CH2" value="1" />
        </path>
        <path name="PLAYBACK8_TO_ADDA_DL" value="turnoff">
            <kctl name="ADDA_DL_CH1 DL8_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 DL8_CH2" value="0" />
        </path>
        <path name="PLAYBACK7_TO_ADDA_DL" value="turnon">
            <kctl name="ADDA_DL_CH1 DL7_CH1" value="1" />
            <kctl name="ADDA_DL_CH2 DL7_CH2" value="1" />
        </path>
        <path name="PLAYBACK7_TO_ADDA_DL" value="turnoff">
            <kctl name="ADDA_DL_CH1 DL7_CH1" value="0" />
            <kctl name="ADDA_DL_CH2 DL7_CH2" value="0" />
        </path>
        <path name="PLAYBACK7_TO_I2S3" value="turnon">
            <kctl name="I2S3_CH1 DL7_CH1" value="1" />
            <kctl name="I2S3_CH2 DL7_CH2" value="1" />
        </path>
        <path name="PLAYBACK7_TO_I2S3" value="turnoff">
            <kctl name="I2S3_CH1 DL7_CH1" value="0" />
            <kctl name="I2S3_CH2 DL7_CH2" value="0" />
        </path>
        <path name="ADDA_TO_CAPTURE5" value="turnon">
            <kctl name="UL5_CH1 ADDA_UL_CH1" value="1" />
            <kctl name="UL5_CH2 ADDA_UL_CH2" value="1" />
        </path>
        <path name="ADDA_TO_CAPTURE5" value="turnoff">
            <kctl name="UL5_CH1 ADDA_UL_CH1" value="0" />
            <kctl name="UL5_CH2 ADDA_UL_CH2" value="0" />
        </path>
        <path name="ultrasound-proximity" value="turnon">
        </path>
        <path name="ultrasound-proximity" value="turnoff">
        </path>
        <path name="ultrasound-proximity-speaker" value="turnon">
        </path>
        <path name="ultrasound-proximity-speaker" value="turnoff">
        </path>
        <!--mmi test kctl setting-->
        <path name="mmitest_receiver" value="turnon">
            <kctl name="DAC In Mux" value="Normal Path" />
            <kctl name="RCV Mux" value="Voice Playback" />
            <kctl name="Ext_Speaker_PaBit" value="2" />
            <kctl name="Ext_Speaker_PaMode" value="11" />
        </path>
        <path name="mmitest_receiver" value="turnoff">
            <kctl name="Ext_Speaker_PaBit" value="2"/>
            <kctl name="Ext_Speaker_PaMode" value="0" />
            <kctl name="RCV Mux" value="Open" />
        </path>
        <path name="mmitest_speaker" value="turnon">
            <kctl name="Ext_Speaker_Amp Switch" value="1" />
            <kctl name="Ext_Speaker_PaBit" value="3"/>
            <kctl name="Ext_Speaker_PaMode" value="1" />
        </path>
        <path name="mmitest_speaker" value="turnoff">
            <kctl name="Ext_Speaker_PaBit" value="3"/>
            <kctl name="Ext_Speaker_PaMode" value="0" />
            <kctl name="Ext_Speaker_Amp Switch" value="0" />
        </path>
        <path name="mmitest_all_speaker" value="turnon">
            <kctl name="Ext_Speaker_Amp Switch" value="1" />
            <kctl name="Ext_Speaker_PaBit" value="3"/>
            <kctl name="Ext_Speaker_PaMode" value="1" />
        </path>
        <path name="mmitest_all_speaker" value="turnoff">
            <kctl name="Ext_Speaker_PaBit" value="3"/>
            <kctl name="Ext_Speaker_PaMode" value="0" />
            <kctl name="Ext_Speaker_Amp Switch" value="0" />
        </path>
        <path name="mmitest_leftspeaker" value="turnon">
            <kctl name="Ext_Speaker_Amp Switch" value="1" />
            <kctl name="Ext_Speaker_PaBit" value="2"/>
            <kctl name="Ext_Speaker_PaMode" value="1" />
        </path>
        <path name="mmitest_leftspeaker" value="turnoff">
            <kctl name="Ext_Speaker_PaBit" value="2"/>
            <kctl name="Ext_Speaker_PaMode" value="0" />
            <kctl name="Ext_Speaker_Amp Switch" value="0" />
        </path>
        <path name="mmitest_rightspeaker" value="turnon">
            <kctl name="Ext_Speaker_Amp Switch" value="1" />
            <kctl name="Ext_Speaker_PaBit" value="1"/>
            <kctl name="Ext_Speaker_PaMode" value="1" />
        </path>
        <path name="mmitest_rightspeaker" value="turnoff">
            <kctl name="Ext_Speaker_PaBit" value="1"/>
            <kctl name="Ext_Speaker_PaMode" value="0" />
            <kctl name="Ext_Speaker_Amp Switch" value="0" />
        </path>
        <path name="mmitest_speaker_no_algorithm" value="turnon">
            <kctl name="Ext_Speaker_Amp Switch" value="1" />
            <kctl name="Ext_Speaker_PaBit" value="3"/>
            <kctl name="Ext_Speaker_PaMode" value="1" />
        </path>
        <path name="mmitest_speaker_no_algorithm" value="turnoff">
            <kctl name="Ext_Speaker_PaBit" value="3"/>
            <kctl name="Ext_Speaker_PaMode" value="0" />
            <kctl name="Ext_Speaker_Amp Switch" value="0" />
        </path>
        <path name="mmitest_headphone" value="turnon">
            <kctl name="DAC In Mux" value="Normal Path" />
            <kctl name="HPL Mux" value="Loud DualSPK Playback" />
            <kctl name="HPR Mux" value="Loud DualSPK Playback" />
        </path>
        <path name="mmitest_headphone" value="turnoff">
            <kctl name="HPL Mux" value="Open" />
            <kctl name="HPR Mux" value="Open" />
        </path>
        <path name="mmitest_submic" value="turnon">
            <kctl name="MISO0_MUX" value="UL1_CH2" />
            <kctl name="MISO1_MUX" value="UL1_CH2" />
            <kctl name="ADC_R_Mux" value="Right Preamplifier" />
            <kctl name="PGA_R_Mux" value="AIN3" />
            <kctl name="DMIC0_MUX" value="DMIC_DATA1_R" />
            <kctl name="DMIC1_MUX" value="DMIC_DATA1_R" />
        </path>
        <path name="mmitest_submic" value="turnoff">
            <kctl name="MISO0_MUX" value="UL1_CH1" />
            <kctl name="ADC_R_Mux" value="Idle" />
            <kctl name="PGA_R_Mux" value="None" />
            <kctl name="UL_SRC_MUX" value="AMIC" />
            <kctl name="UL2_SRC_MUX" value="AMIC" />
        </path>
        <path name="mmitest_mainmic" value="turnon">
            <kctl name="MISO0_MUX" value="UL1_CH1" />
            <kctl name="MISO1_MUX" value="UL1_CH1" />
            <kctl name="ADC_L_Mux" value="Left Preamplifier" />
            <kctl name="PGA_L_Mux" value="AIN0" />
            <kctl name="DMIC0_MUX" value="DMIC_DATA0" />
            <kctl name="DMIC1_MUX" value="DMIC_DATA0" />
        </path>
        <path name="mmitest_mainmic" value="turnoff">
            <kctl name="MISO1_MUX" value="UL1_CH2" />
            <kctl name="ADC_L_Mux" value="Idle" />
            <kctl name="PGA_L_Mux" value="None" />
            <kctl name="UL_SRC_MUX" value="AMIC" />
            <kctl name="UL2_SRC_MUX" value="AMIC" />
        </path>
        <path name="mmitest_hsmic" value="turnon">
            <kctl name="MISO0_MUX" value="UL1_CH1" />
            <kctl name="MISO1_MUX" value="UL1_CH1" />
            <kctl name="ADC_L_Mux" value="Left Preamplifier" />
            <kctl name="PGA_L_Mux" value="AIN1" />
        </path>
        <path name="mmitest_hsmic" value="turnoff">
            <kctl name="MISO1_MUX" value="UL1_CH2" />
            <kctl name="ADC_L_Mux" value="Idle" />
            <kctl name="PGA_L_Mux" value="None" />
        </path>
    </mixercontrol>
</root>
